{% extends "src/html/_template.njk" %}
{% set title = "All you want to know about streetfood" %}
{% set container = "container" %}

{% block header %}{% endblock %}

{% block content %}
    <div class="page-container">
        <header class="page-header">
            <div class="page-header__wrap">
                <h1 class="page-header__title">Your plan <span class="color-blue">Pro</span></h1>
                <div class="page-header__summary">
                    <div class="page-summary">
                        <div class="page-summary__item">
                            <div class="page-summary__label">Total texts:</div>
                            <div class="page-summary__data">
                                <span class="page-summary__value">12</span>
                                <span class="page-summary__total"> / 1000</span>
                            </div>
                        </div>
                        <div class="page-summary__item">
                            <div class="page-summary__label">Generations in month:</div>
                            <div class="page-summary__data">
                                <span class="page-summary__value">23</span>
                                <span class="page-summary__total"> / 100</span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </header><!-- .page-header -->
        <div class="page-group">
            <div class="page-group__title">Choose Plan</div>
            <div class="page-group__main">
                <div class="plan-group">
                    <label class="plan">
                        <input type="radio" name="plan" class="plan__input visually-hidden" value="0">
                        <i class="plan__main">
                            <i class="plan__wrap">
                                <span class="plan__title">Free</span>
                                <span class="plan__text">
                                10 texts<br/>
                                5 generations
                            </span>
                                <span class="plan__price">
                                <span class="plan__value">0</span>
                                <span class="plan__label"> $</span>
                            </span>
                            </i>
                        </i>
                    </label><!-- .plan -->
                    <label class="plan">
                        <input type="radio" name="plan" class="plan__input visually-hidden" value="0" checked>
                        <i class="plan__main">
                            <i class="plan__wrap">
                                <span class="plan__title">Pro</span>
                                <span class="plan__text">
                                    100 texts<br/>
                                    50 generations
                                </span>
                                <span class="plan__price">
                                    <span class="plan__value">15</span>
                                    <span class="plan__label"> $/month</span>
                                </span>
                            </i>
                        </i>
                    </label><!-- .plan -->
                    <label class="plan">
                        <input type="radio" name="plan" class="plan__input visually-hidden" value="0">
                        <i class="plan__main">
                            <i class="plan__wrap">
                                <span class="plan__title">Buisness</span>
                                <span class="plan__text">
                                    1000 texts<br/>
                                    500 generations
                                </span>
                                <span class="plan__price">
                                    <span class="plan__value">50</span>
                                    <span class="plan__label"> $\month</span>
                                </span>
                            </i>
                        </i>
                    </label><!-- .plan -->
                </div>
            </div>
        </div><!-- .page-group -->
        <div class="page-group">
            <div class="white-box">
                <div class="page-group__title">Or create your <span class="color-blue">own</span></div>
                <div class="white-box__group">
                    <div class="range" data-range>
                        <div class="range__header">
                            <span class="range__header--label">Total texts:</span>
                            <span class="range__header--value" data-range-value>5 800</span>
                        </div>
                        <div class="range__main" data-range-slider
                             data-start="5800"
                             data-min="0"
                             data-max="10000"
                        ></div>
                        <div class="range__scale">
                            <div class="range__scale--item">0</div>
                            <div class="range__scale--item" data-range-scale>5 000</div>
                            <div class="range__scale--item">10 000</div>
                        </div>
                    </div>
                </div>
                <div class="white-box__group">
                    <div class="range" data-range>
                        <div class="range__header">
                            <span class="range__header--label">Total texts:</span>
                            <span class="range__header--value" data-range-value>3 200</span>
                        </div>
                        <div class="range__main" data-range-slider
                             data-start="3200"
                             data-min="0"
                             data-max="10000"
                        ></div>
                        <div class="range__scale">
                            <div class="range__scale--item">0</div>
                            <div class="range__scale--item" data-range-scale>5 000</div>
                            <div class="range__scale--item">10 000</div>
                        </div>
                    </div>
                </div>
                <div class="white-box__footer">
                    <div class="white-box__data">
                        <span class="white-box__value">50</span>
                        <span class="white-box__label">$\month</span>
                    </div>
                    <div class="white-box__button">
                        <button type="button" class="btn btn-md">Confirm</button>
                    </div>
                </div>
            </div>
        </div><!-- .page-group -->
    </div>
{% endblock %}
